Upstream information

CVE-2019-11365 at MITRE

Description

An issue was discovered in atftpd in atftp 0.7.1. A remote attacker may send a crafted packet triggering a stack-based buffer overflow due to an insecurely implemented strncpy call. The vulnerability is triggered by sending an error packet of 3 bytes or fewer. There are multiple instances of this vulnerable strncpy pattern within the code base, specifically within tftpd_file.c, tftp_file.c, tftpd_mtftp.c, and tftp_mtftp.c.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having critical severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 9.8 9.8
Vector CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
Access Vector Network Network
Access Complexity Low Low
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact High High
Availability Impact High High
CVSSv3 Version 3 3
SUSE Bugzilla entry: 1133114 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Enterprise Storage 4
  • atftp >= 0.7.0-160.8.1
Patchnames:
SUSE-Storage-4-2019-1091
SUSE Linux Enterprise Desktop 12 SP3
  • atftp >= 0.7.0-160.8.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP3-2019-1091
SUSE Linux Enterprise Desktop 12 SP4
  • atftp >= 0.7.0-160.8.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP4-2019-1091
SUSE Linux Enterprise High Performance Computing 12 SP5
  • atftp >= 0.7.0-160.8.1
Patchnames:
SUSE Linux Enterprise High Performance Computing 12 SP5 GA atftp
SUSE Linux Enterprise Point of Sale 11 SP3
  • atftp >= 0.7.0-135.23.3.1
Patchnames:
sleposp3-atftp-14033
SUSE Linux Enterprise Point of Sale 12 SP2-CLIENT
  • atftp >= 0.7.0-160.8.1
Patchnames:
SUSE-SLE-POS-12-SP2-CLIENT-2019-1091
SUSE Linux Enterprise Server 11 SP4-LTSS
  • atftp >= 0.7.0-135.23.3.1
Patchnames:
slessp4-atftp-14033
SUSE Linux Enterprise Server 12 SP1-LTSS
  • atftp >= 0.7.0-160.8.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2019-1091
SUSE Linux Enterprise Server 12 SP2-BCL
  • atftp >= 0.7.0-160.8.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2019-1091
SUSE Linux Enterprise Server 12 SP2-ESPOS
  • atftp >= 0.7.0-160.8.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2019-1091
SUSE Linux Enterprise Server 12 SP2-LTSS
  • atftp >= 0.7.0-160.8.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2019-1091
SUSE Linux Enterprise Server 12 SP3
  • atftp >= 0.7.0-160.8.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2019-1091
SUSE Linux Enterprise Server 12 SP4
  • atftp >= 0.7.0-160.8.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-2019-1091
SUSE Linux Enterprise Server 12 SP5
  • atftp >= 0.7.0-160.8.1
Patchnames:
SUSE Linux Enterprise Server 12 SP5 GA atftp
SUSE Linux Enterprise Server 12-LTSS
  • atftp >= 0.7.0-160.8.1
Patchnames:
SUSE-SLE-SERVER-12-2019-1091
SUSE Linux Enterprise Server for SAP Applications 11 SP4-LTSS
  • atftp >= 0.7.0-135.23.3.1
Patchnames:
slessp4-atftp-14033
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • atftp >= 0.7.0-160.8.1
Patchnames:
SUSE-SLE-SAP-12-SP1-2019-1091
SUSE Linux Enterprise Server for SAP Applications 12 SP1-LTSS
  • atftp >= 0.7.0-160.8.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2019-1091
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • atftp >= 0.7.0-160.8.1
Patchnames:
SUSE-SLE-SAP-12-SP2-2019-1091
SUSE Linux Enterprise Server for SAP Applications 12 SP2-BCL
  • atftp >= 0.7.0-160.8.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2019-1091
SUSE Linux Enterprise Server for SAP Applications 12 SP2-ESPOS
  • atftp >= 0.7.0-160.8.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2019-1091
SUSE Linux Enterprise Server for SAP Applications 12 SP2-LTSS
  • atftp >= 0.7.0-160.8.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2019-1091
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • atftp >= 0.7.0-160.8.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2019-1091
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • atftp >= 0.7.0-160.8.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-2019-1091
SUSE Linux Enterprise Server for SAP Applications 12-LTSS
  • atftp >= 0.7.0-160.8.1
Patchnames:
SUSE-SLE-SERVER-12-2019-1091
SUSE OpenStack Cloud 7
  • atftp >= 0.7.0-160.8.1
Patchnames:
SUSE-OpenStack-Cloud-7-2019-1091


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 12 SP3 atftp Released
SUSE Linux Enterprise Desktop 12 SP4 atftp Released
SUSE Linux Enterprise High Performance Computing 12 atftp Released
SUSE Linux Enterprise Server 11 SP3 LTSS atftp Affected
SUSE Linux Enterprise Server 11 SP4 LTSS atftp Released
SUSE Linux Enterprise Server 12 GA LTSS atftp Released
SUSE Linux Enterprise Server 12 SP1 LTSS atftp Released
SUSE Linux Enterprise Server 12 SP2 LTSS atftp Released
SUSE Linux Enterprise Server 12 SP3 atftp Released
SUSE Linux Enterprise Server 12 SP4 atftp Released
SUSE Linux Enterprise Server for SAP Applications 11 SP3 atftp Affected
SUSE Linux Enterprise Server for SAP Applications 12 GA atftp Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 atftp Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 atftp Released